# Excelitas PCO GmbH   -     TECHNICAL  INFORMATION  DOCUMENT


# VERSION HISTORY

## Version 3.0.0:

- Using pco.sdk 1.28.0
- Switched to SimpleIni 4.19
- Added convert functionality in csharp example
- Structured csharp example
- Made code cross platform compatible (win/lnx)
- Updated FILESAVE modes and flags
- Added export to file function

## Version 2.5.0:

- Bugfix in transfering image to autoexposure thread 
- Increase command timeout to 500 if autoexposure is enabled to avoid driver timeouts
- Changed PCO_Recorder_CompressionParams in PCO_RecorderSetCompressionParams from transfare by value to transfer by pointer
- Switched to pco.sdk version 1.27

## Version 2.4.0:

- PCO_RecorderSetCompressionParams now only possible after init, because cam infos are needed
- Added FIFO example
- Added bugfix for mutex deadlock with procImgCount and readIndex
- Added timestamp and metadata functionality to simple example
- Added support for metadata version 2
- Bugfix of unpacking metadata wsize
- Added setting of DLL search path in DLLMain
- Integrated DotPhoton support (dpcore.dll) using dynamically calling dll functions if needed
- Added delayed loading of SC2_Cam.dll and PCO_File.dll
- Added delayed failure hook to load dll from PCO_Recorder.dll path if auto load failed

## Version 2.3.1:

- Bugfix of spontaniously missing last image in memory ringbuffer mode

## Version 2.3.0:

- First standalone installation which brings its own sdk libraries
- Required Image doesn't have to be >=4, also 1 is valid now
- Allow multiple recorder instances
- Replaced the module for file mode with the usage of PCO_File.dll
- Added PCO_File.dll and all dependant DLLs to the installation
- Added Dicom and MultiDicom as new file formats for file type
- Added PCO_RecorderCopyAverageImage to get an averaged image
- Added PCO_RecorderCopyImageCompressed to get a lossles compressed 8 Bit image
  using noise equilibration (doi:10.1515/teme-2019-0022)
- Added PCO_RecorderSaveImage as static function to save a raw image to file.
- Added PCO_RecorderSaveOverlay as static function to compose a RGB image
  out of 3 raw images representing r, g and b channel and save them to file.

## Version 2.2.0:

- Internal bugfixes
- procImageCount for Memory FIFO now returns the number of images in the fifo
  (i.e if an image is read the number is decremented)

## Version 2.1.0:

- Bugfix in PCO_RecorderInit in file mode

## Version 2.0.0:

- Added PCO_RECORDER_MODE_CAMRAM for cameras with internal memory
- Added PCO_RecorderSetAutoExposure and PCO_RecorderSetAutoExpRegions
  to use and control auto exposure 

## Version 1.2.0:

- Bugfix in FIFO Mode
- Bugfix in PCO_RecorderCreate
- Added PCO_ERROR_SDKDLL to all error codes

## Version 1.1.0:

- First release


```
 Excelitas PCO GmbH
 DONAUPARK 11
 93309 KELHEIM / GERMANY
 PHONE +49 (9441) 20050
 FAX   +49 (9441) 200520
 info@pco.de, support@pco.de
 http://www.pco.de
``` 
```
 DISCLAIMER
 THE ORIGIN OF THIS INFORMATION MAY BE INTERNAL OR EXTERNAL TO PCO.
 PCO MAKES EVERY EFFORT WITHIN ITS MEANS TO VERIFY THIS INFORMATION.
 HOWEVER, THE INFORMATION PROVIDED IN THIS DOCUMENT IS FOR YOUR
 INFORMATION ONLY. PCO MAKES NO EXPLICIT OR IMPLIED CLAIMS TO THE
 VALIDITY OF THIS INFORMATION.
-------------------------------------------------------------------
 Any trademarks referenced in this document are the property of
 their respective owners.
```
